--
-- Lua for Dream_Land_by_K700a
-- Copyright (C) GIANTS Software GmbH, Confidential, All Rights Reserved.

Dream_Land_by_K700a = {}

local Dream_Land_by_K700a_mt = Class(Dream_Land_by_K700a, Mission00);

function Dream_Land_by_K700a:new(baseDirectory, customMt)
    local mt = customMt;
    if mt == nil then
        mt = Dream_Land_by_K700a_mt;
    end;
    local self = Dream_Land_by_K700a:superClass():new(baseDirectory, mt);
    return self;
end;

function Dream_Land_by_K700a:delete()
    Dream_Land_by_K700a:superClass().delete(self);
end;

function Dream_Land_by_K700a:load()
    self.environment = Environment:new(Utils.getFilename("$data/sky/sky_day_night.i3d", self.baseDirectory), true, 8, true, true);
    self:loadMap(Utils.getFilename("map01.i3d", self.baseDirectory));  

	-- Milch und Manureproduktionsbeschraenkung --
	g_currentMission.milkProductionScale = 0.5;
	--print(" --Info: Dream_Land_by_K700a milkProductionScale = 0.1");    
    g_currentMission.manureProductionScale = 0.5;
	--print(" --Info: Dream_Land_by_K700a manureProductionScale = 0.2");
  --g_currentMission.milkPriceScale = 0.1;
	--print(" --Info: Dream_Land_by_K700a milkPriceScale = 0.1");
	
    AnimalHusbandry.initialize();
    self:loadMap(Utils.getFilename("missions/CattleMeadow.i3d", self.baseDirectory)); 
    self.missionPDA:loadMap(Utils.getFilename("map01/pda_map.png", self.baseDirectory));    
    Dream_Land_by_K700a:superClass().load(self);
end
function Dream_Land_by_K700a:loadFinished()
    Dream_Land_by_K700a:superClass().loadFinished(self);
    AnimalHusbandry.finalize();
end;

function Dream_Land_by_K700a:mouseEvent(posX, posY, isDown, isUp, button)
    Dream_Land_by_K700a:superClass().mouseEvent(self, posX, posY, isDown, isUp, button);
end;
function Dream_Land_by_K700a:keyEvent(unicode, sym, modifier, isDown)
    Dream_Land_by_K700a:superClass().keyEvent(self, unicode, sym, modifier, isDown);
end;
function Dream_Land_by_K700a:update(dt)
    Dream_Land_by_K700a:superClass().update(self, dt);
end;
function Dream_Land_by_K700a:draw()
    Dream_Land_by_K700a:superClass().draw(self);
end;